Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025947
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2014-03-11 11:252014-03-16 06:02
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision0c92bf8ef90f
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelCoding ( Testing )
Regression date2014-02-26
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
Triggers an Emergency PackNo
Summary

0025947: Grouping is not working properly in the grid

DescriptionWhen a grid is grouped, it is not showing properly the root nodes. The first root node is shown properly, but the rest are replaced by the records that would be shown in that position if thet first root node were opened.
Steps To Reproduce- Open Business Partner
- Group the grid by organization
- The two root nodes should be:
  * F&B España S.A.
  * F&B US, Inc.
- Both root nodes should have the [+] icon to show that they have children. Instead, the displayed root nodes are:
  * F&B España S.A.
  * Other organization. In fact, the organization shown here is the same organization that will be shown in the F&B España S.A. root node is opened.

If F&B España is opened, the F&B US, Inc node can be found is the grid is scrolled down until the end.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00255343.0PR14Q2 closedAugustoMauch When grouping enabled is set in sales invoice window, the window is not correctly refreshed after booking an entry 

-  Notes
(0065042)
hgbot (developer)
2014-03-11 13:00

Repository: erp/devel/pi
Changeset: 0c92bf8ef90f768e10151d44b13871060c51a7e7
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Mar 11 12:56:41 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0c92bf8ef90f768e10151d44b13871060c51a7e7 [^]

Fixes issue 25947: Grouping is not working properly in the grid

With the new version of smartclient it is no longer necessary to overwrite the Tree.getRange function. Now getRecord(1) should not return the record in the second position of the flattened tree, but the second root record, so it is no longer needed to getOpenList

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0065075)
hudsonbot (developer)
2014-03-12 05:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/82d89b03cb26 [^]
Maturity status: Test
(0065197)
shankarb (developer)
2014-03-16 06:02

Code reviewed and verified in pi changeset 09baf685138e.

- Issue History
Date Modified Username Field Change
2014-03-11 11:25 AugustoMauch New Issue
2014-03-11 11:25 AugustoMauch Assigned To => AugustoMauch
2014-03-11 11:25 AugustoMauch Modules => Core
2014-03-11 11:25 AugustoMauch Triggers an Emergency Pack => No
2014-03-11 11:26 AugustoMauch Relationship added related to 0025534
2014-03-11 11:26 AugustoMauch Regression level => Coding ( Testing )
2014-03-11 11:26 AugustoMauch Regression date => 2014-02-26
2014-03-11 11:26 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
2014-03-11 11:29 AugustoMauch Status new => scheduled
2014-03-11 11:29 AugustoMauch fix_in_branch => pi
2014-03-11 12:56 AugustoMauch Issue Monitored: shankarb
2014-03-11 13:00 AugustoMauch Review Assigned To => shankarb
2014-03-11 13:00 AugustoMauch fix_in_branch pi =>
2014-03-11 13:00 hgbot Checkin
2014-03-11 13:00 hgbot Note Added: 0065042
2014-03-11 13:00 hgbot Status scheduled => resolved
2014-03-11 13:00 hgbot Resolution open => fixed
2014-03-11 13:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0c92bf8ef90f768e10151d44b13871060c51a7e7 [^]
2014-03-12 05:19 hudsonbot Checkin
2014-03-12 05:19 hudsonbot Note Added: 0065075
2014-03-16 06:02 shankarb Note Added: 0065197
2014-03-16 06:02 shankarb Status resolved => closed
2014-03-16 06:02 shankarb Fixed in Version => PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker